Tomcat native 无法在 Mac OS X 下使用,什么原因?-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

Tomcat native 无法在 Mac OS X 下使用,什么原因?

落地花开啦 2016-03-24 14:36:43 1049

似乎 tomcat-native 1.1.20 还是无法支持 OS/X (10.6.8).
提示信息:
INFO: The APR based Apache Tomcat Native library which allows optimal
performance in production environments was not found on the
java.library.path:
.:/Library/Java/Extensions:/System/Library/Java/Extensions:/usr/lib/java
Jul 13, 2011 11:02:30 AM org.apache.coyote.http11.Http11Protocol init

编译和安装
`./configure --with-apr=/usr/bin/apr-1-config
--with-java-home=/System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Home/
make clean
make
sudo cp .libs/libtcnative-1.0.1.20.dylib /usr/lib/java
sudo ln -s /usr/lib/java/libtcnative-1.0.1.20.dylib
/usr/lib/java/libtcnative-1.dylib`
大家有什么好建议吗?

Java 应用服务中间件 Apache iOS开发 MacOS
分享到
取消 提交回答
全部回答(1)
  • 落地花开啦
    2019-07-17 19:12:45

    构建的时候使用:
    `CFLAGS='-arch i386 -arch x86_64' APXSLDFLAGS='-arch i386 -arch x86_64'
    ./configure --with-apr=/usr --with-ssl=/usr
    --with-java-home=/System/Library/Frameworks/JavaVM.framework/`
    需要 PowerPC 的支持:
    `CFLAGS='-arch ppc -arch i386 -arch ppc64 -arch x86_64'
    APXSLDFLAGS='-arch ppc -arch i386 -arch ppc64 -arch x86_64'
    ./configure --with-apr=/usr --with-ssl=/usr
    --with-java-home=/System/Library/Frameworks/JavaVM.framework/`

    0 0

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题